  storage:
    config:
   #####################
   ##### DISKS
   #####################
    - type: disk
      ptable: gpt
      path: /dev/vda
      preserve: false
      grub_device: true
      id: disk-vda
    - type: disk
      ptable: gpt
      path: /dev/vdb
      wipe: superblock-recursive
      preserve: false
      grub_device: false
      id: disk-vdb
   #####################
   ##### PARTITIONS
   #####################
    - type: partition
      device: disk-vda
      size: 1048576
      flag: bios_grub
      preserve: false
      grub_device: false
      path: /dev/vda1
      id: partition-0
    - type: partition
      device: disk-vda
      size: 3221225472
      wipe: superblock
      preserve: false
      grub_device: false
      path: /dev/vda2
      id: partition-1
    - type: partition
      device: disk-vda
      size: 3221225472
      wipe: superblock
      preserve: false
      grub_device: false
      path: /dev/vda3
      id: partition-2
    - type: partition
      device: disk-vda
      size: 10737418240
      wipe: superblock
      preserve: false
      grub_device: false
      path: /dev/vda4
      id: partition-3
    - type: partition
      device: disk-vda
      size: 17176723456
      wipe: superblock
      preserve: false
      grub_device: false
      path: /dev/vda5
      id: partition-4
    - type: partition
      device: disk-vdb
      size: 107372085248
      wipe: superblock
      preserve: false
      grub_device: false
      path: /dev/vdb1
      id: partition-5
   #####################
   ##### LUKS
   #####################
    - type: dm_crypt
      volume: partition-5
      keyfile: /tmp/luks-key-y3x82gya
      recovery_keyfile: null
      path: /dev/mapper/dm_crypt-0
      preserve: false
      id: dm_crypt-0
   #####################
   ##### LVM VG's
   #####################
    - type: lvm_volgroup
      name: vg0
      devices:
      - dm_crypt-0
      preserve: false
      id: lvm_volgroup-0
   #####################
   ##### LVM LV's
   #####################
    - type: lvm_partition
      name: local
      volgroup: lvm_volgroup-0
      size: 107353210880B
      wipe: superblock
      preserve: false
      path: /dev/vg0/local
      id: lvm_partition-0
   #####################
   ##### FILESYSTEMS
   #####################
    - type: format
      fstype: ext4
      volume: partition-1
      preserve: false
      id: format-0
    - type: format
      fstype: ext4
      volume: partition-2
      preserve: false
      id: format-1
    - type: format
      fstype: ext4
      volume: partition-3
      preserve: false
      id: format-2
    - type: format
      fstype: ext4
      volume: partition-4
      preserve: false
      id: format-3
    - type: format
      fstype: xfs
      volume: lvm_partition-0
      preserve: false
      id: format-4
      #####################
      ##### MOUNTPOINTS
      #####################
    - type: mount
      path: /tmp/
      device: format-0
      id: mount-0
    - type: mount
      path: /var/log/
      device: format-1
      id: mount-1
    - type: mount
      path: /home
      device: format-2
      id: mount-2
    - type: mount
      path: /
      device: format-3
      id: mount-3
    - type: mount
      path: /local/
      device: format-4
      id: mount-4
